[tool.pylint.format]
good-names = ['x', 'y', 'z', 'id', 'ok']

[tool.pylint.messages_control]
disable = [
  'missing-module-docstring',
  'no-name-in-module',
  'useless-import-alias',
  'line-too-long',
  'too-many-arguments',
  'too-few-public-methods',
  'too-many-instance-attributes',
]

[tool.pyright]
stubPath = 'server/typings'
reportUnknownVariableType = false
reportUnknownMemberType = false
reportMissingTypeStubs = false

[tool.pytest.ini_options]
pythonpath = ["."]

[tool.poetry]
name = "nllb-api"
version = "0.1.0"
description = ""
authors = ["winstxnhdw <you@example.com>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11"
typing-extensions = "^4.9.0"
fastapi = "^0.109.2"
pydantic-settings = "^2.2.0"
gunicorn = "^21.2.0"
uvicorn = "^0.27.1"
httptools = "^0.6.1"
uvloop = "^0.19.0"
transformers = "^4.38.1"
ctranslate2 = "^4.0.0"
supervisor = "^4.2.5"

[tool.poetry.group.dev.dependencies]
pyright = "^1.1.350"
pylint = "^3.0.3"
pytest = "^8.0.1"
ruff = "^0.2.2"
httpx = "^0.27.0"
